- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
AL::Math::Pose2Di Struct Reference
Types

Create a Pose2Di. Pose2Di are used on objects that deal with pixels only, and should not care about metric distances. More...

`#include <occupancymapparams.h>`

## Public Member Functions
| Pose2Di (int _x=0, int _y=0, float _angle=0.0f)
| Pose2Di (const Point2Di &pt, float _angle=0.0f)
bool | operator== (const Pose2Di &other) const

## Public Attributes
int | x
int | y
float | theta

## Detailed Description

Create a Pose2Di. Pose2Di are used on objects that deal with pixels only, and should not care about metric distances.

A Pose2Di is defined by integers x and y, and a theta for orientation.

Definition at line 35 of file occupancymapparams.h.

## Constructor & Destructor Documentation

AL::Math::Pose2Di::Pose2Di | ( | int | _x = `0`,
|  | int | _y = `0`,
|  | float | _angle = `0.0f`
| ) |  |
| inline explicit

Definition at line 36 of file occupancymapparams.h.

AL::Math::Pose2Di::Pose2Di | ( | const Point2Di & | pt,
|  | float | _angle = `0.0f`
| ) |  |
| inline explicit

Definition at line 38 of file occupancymapparams.h.

## Member Function Documentation

bool AL::Math::Pose2Di::operator== | ( | const Pose2Di & | other | ) | const
| inline

Definition at line 44 of file occupancymapparams.h.

## Member Data Documentation

float AL::Math::Pose2Di::theta

Definition at line 43 of file occupancymapparams.h.

int AL::Math::Pose2Di::x

Definition at line 41 of file occupancymapparams.h.

int AL::Math::Pose2Di::y

Definition at line 42 of file occupancymapparams.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/types/occupancymapparams.h